Subject: Re: Cisco SG16: Transaction ID uniqueness

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 4 Feb 2000 14:01:22 -0500

MGC                MG
Request ->

        x-     Pending (now switches to a longer timer)

[br]Who has the longer timer?  The requestor, yes, the responder, no
(lost, so MGC sticks w. normal timer)

(timeout)
Request ->     (ignore since transaction is currently executing)
(timeout))
Request ->     (ignore since transaction is currently executing)
(timeout)
Request ->     (ignore since transaction is currently executing)
...
       <- Final
(finally)

[br]I think that you get a pend within the normal response.  If you lose the
pend, you generate one extra request duplicate, but the longer timer isn't
going to be twice normal time; you simply want to avoid the case of the pend
timer and the normal response timer being the same value and causing extra
messages when the requests/responses pass each other on the net.  If ALL the
pends are lost, you would see the above, but you would only get one extra if
only the first were lost.

Brian

---

From: Flemming Andreasen <[email-masked]>
Date: Fri, 4 Feb 2000 15:05:26 -0500

Brian

Questions/comments below

-- Flemming

>      [br]Who has the longer timer?  The requestor, yes, the

Are you saying that the MG will keep bombarding the MGC with pending
messages until it can send a final one ? That seems rather wasteful in
terms of both bandwidth and processing.

>      [br]I think that you get a pend within the normal response.
>      If you lose the pend, you generate one extra request
>      duplicate, but the longer timer isn't going to be twice
>      normal time; you simply want to avoid the case of the pend
>      timer and the normal response timer being the same value and
>      causing extra messages when the requests/responses pass each
>      other on the net.  If ALL the pends are lost, you would see
>      the above, but you would only get one extra if only the
>      first were lost.
>

I'm not sure I follow any longer. Can you explain the mechanism again,
perhaps with an example ?

--
---------------------------------------
Flemming Andreasen
Cisco Systems
---------------------------------------